> ## Documentation Index
> Fetch the complete documentation index at: https://docs.postsyncer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update folder

> Update folder name, color, and/or parent

## Update folder

Send at least one of **`name`**, **`color`**, or **`parent_id`**. You cannot set **`parent_id`** to this folder or to any of its subfolders.

### Request

<ParamField path="folder_id" type="integer" required>
  The id of the folder to update (same as the **`id`** field on the folder)
</ParamField>

<ParamField body="name" type="string">
  New name
</ParamField>

<ParamField body="color" type="string">
  Hex color
</ParamField>

<ParamField body="parent_id" type="integer">
  New parent folder id in the same workspace, or `null` to move to root
</ParamField>

Requires the **`posts`** ability.

<RequestExample>
  ```bash theme={null}
  curl -X PUT "https://postsyncer.com/api/v1/folders/42" \
    -H "Authorization: Bearer YOUR_API_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"name":"Campaign assets","color":"#2563EB"}'
  ```
</RequestExample>
